/*
 * This file is part of SEVino.
 *
 * SEVino is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SEVino is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SEVino.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * Copyright 2008, 2009, 2010, 2011 Alpen-Adria-Universitaet Klagenfurt, Markus Waltl.
 */
package lib;

import java.awt.Color;

/**
 * Class for providing a combobox with color items in it
 * @author Markus Waltl
 *
 */
public class ComboBoxColorItem {
	private Color color_ = null;
	private String text_ = "";
	private String standardUrn_ = null;
	
	public Color getColor() {
		return color_;
	}
	
	public void setColor(Color color) {
		color_ = color;
	}
	
	public String getText() {
		return text_;
	}
	
	public void setText(String text) {
		text_ = text;
	}
	
	public String getStandardUrn() {
		return standardUrn_;
	}
	
	public void setStandardUrn(String standardUrn) {
		standardUrn_ = standardUrn;
	}
	
	public String toString() {
		return text_;
	}
}
